Subject: Re: [PATCH ethtool-next] sff-8636: report LOL / LOS / Tx Fault

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Jun 2023 09:36:07 -0700

On Fri, 9 Jun 2023 17:18:27 +0100 Russell King (Oracle) wrote:
> My mental stumbling block is that quad interfaces seem to act as either
> four separate network interfaces, or I think the lanes can be combined
> to double or quadruple the data bandwidth. How this looks from the
> firmware description perspective (in either DT or elsewhere) I don't
> know. Can they be dynamically changed too?

Last question I think I can answer at least from the uAPI perspective -
yes, via the devlink port split API. There's also an ethtool API for
configuring how many lanes are used within a single MAC (e.g. 2x25G vs
1x50G).